Requiring answer for dropdown item


Requiring answer for dropdown item

Author
Message
implicitexplicit
implicitexplicit
Expert
Expert (1.2K reputation)Expert (1.2K reputation)Expert (1.2K reputation)Expert (1.2K reputation)Expert (1.2K reputation)Expert (1.2K reputation)Expert (1.2K reputation)Expert (1.2K reputation)Expert (1.2K reputation)

Group: Forum Members
Posts: 9, Visits: 25
Dear Forum,

I've got the following issue: I'd like to make answers to most of the questions in the survey part of my script mandatory. Employing "/required = true" for all mandatory items works fine for radiobuttons, just not for dropdown menus: The answer "Please select" is already prechosen, and if it is not changed it still counts as a valid response. I tried limiting this by using "/validresponse = ("Option 1", "Option 2", ...) for dropdown items, listing all options but for "Please select". This did not change the fact that leaving the "Please select" option selected did not prevent one from clicking on "Next" and going onto the next page.

<dropdown t1f1>
/ caption = "Wie wichtig oder unwichtig ist Ihnen, ob in Deutschland ein Verschleierungsverbot
eingeführt wird oder nicht?"
/ options = ("Please select", "Sehr unwichtig", "Moderat unwichtig", "Leicht unwichtig", "Weder wichtig noch unwichtig," "Leicht wichtig", "Moderat wichtig", "Sehr wichtig")
/ optionvalues = ("0", "1", "2", "3", "4", "5", "6", "7")
/responsefontstyle = ("Arial", 2%)
/ subcaptionfontstyle = ("Arial", 2.3%, false, true, false, false, 5)
/ required = true
/ validresponse = ("Sehr unwichtig", "Moderat unwichtig", "Leicht unwichtig", "Weder wichtig noch unwichtig," "Leicht wichtig", "Moderat wichtig", "Sehr wichtig")
</dropdown>


Any ideas how I could make dropdown items mandatory too? Thank you very much!


Best wishes,

Marton

Dave
Dave
Supreme Being
Supreme Being (678K reputation)Supreme Being (678K reputation)Supreme Being (678K reputation)Supreme Being (678K reputation)Supreme Being (678K reputation)Supreme Being (678K reputation)Supreme Being (678K reputation)Supreme Being (678K reputation)Supreme Being (678K reputation)

Group: Administrators
Posts: 9.8K, Visits: 46K
Is your Inquisit installation up to date? AFAIK, this

> The answer "Please select" is already prechosen

was an issue specific to some older OSX versions (10.7.x) and should not happen w/ the current Inquisit release (4.0.5.0). Can you confirm?

GO


Reading This Topic


Login
Existing Account
Email Address:


Password:


Social Logins

Select a Forum....






Millisecond Forums


Search